> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# book



## OpenAPI

````yaml /openapi/transportsoa-api.openapi.json post /rentalapi/v1/book
openapi: 3.0.0
info:
  description: >-
    TransportSOA API for rental availability, quotes, reservations, and
    transport-related test utilities.
  version: '1.0'
  title: TransportSOA API
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: //tstest.websitetravel.com/transportsoa
security: []
tags:
  - name: rental-controller
    description: Rental Controller
  - name: test-controller
    description: Test Controller
paths:
  /rentalapi/v1/book:
    post:
      tags:
        - rental-controller
      summary: book
      operationId: bookUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BookRequest'
        description: bookRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/SuccessResponseDTO_BookingResponse_'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    BookRequest:
      type: object
      properties:
        agentVoucherReference:
          type: string
        arrivalFlight:
          type: string
        country:
          type: string
        dateOfBirth:
          type: string
          format: date
        deposit:
          type: boolean
        extraKmsId:
          type: integer
          format: int32
        insuranceId:
          type: integer
          format: int32
        licenseCountry:
          type: string
        licenseExpiry:
          type: string
          format: date
        licenseNumber:
          type: string
        marketingAllowed:
          type: boolean
        numberOfTravelling:
          type: integer
          format: int32
        optionalsFee:
          type: array
          items:
            $ref: '#/components/schemas/OrderRQ'
        quoteId:
          type: string
        reservationReference:
          type: string
        source:
          type: string
      title: BookRequest
    SuccessResponseDTO_BookingResponse_:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BookingResponse'
        message:
          type: string
        status:
          type: integer
          format: int32
      title: SuccessResponseDTO«BookingResponse»
    OrderRQ:
      type: object
      properties:
        id:
          type: integer
          format: int32
        qty:
          type: integer
          format: int32
      title: OrderRQ
    BookingResponse:
      type: object
      properties:
        bookingId:
          type: string
        bookingReference:
          type: string
        source:
          type: string
        status:
          type: string
      title: BookingResponse

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.